<?php $this->load->view('uji_analis/header_input01'); ?>
					<div class="col-sm-6">
	                	<table class="table table-bordered table-hover table-striped table-td-valign-middle">			
	                		<thead>
								<tr>
									<th class="text-center">No Urut</th>
									<th class="text-center">No Sampel</th>
								    <th style="width: 150px;" class="text-center">Abs</th>
								    <th style="width: 150px;" class="text-center">Total Aflatoksin (ug/kg)</th>
								</tr>
	                		</thead>
		                	<tbody id="tabel_uji">
		                    <?php $z=1; foreach ($data as $r) { ?>
			                    <tr id="t2_<?= $r['id']; ?>" >
									<td class="text-center"><?= $this->uri->segment(5) + $z++ ?></td>
									<td>
										<input type="hidden" name="nomor_batch[]" value="<?php echo $nomor_batch; ?>">
										<?php if(!empty($is_edit)) : ?>
											<input type='hidden' name='id[]' value="<?= $r['id']; ?>">
										<?php endif; ?>
										<?php if($r["id_sampel"] == 0 ) : ?>
											<input class="wth-form text-center" id="kontrol_sampel" name="kontrol_sampel[]" placeholder="Kontrol Sampel" value="<?= val_ks($r["kontrol_sampel"]); ?>">
										<?php else : ?>
											<input type="hidden" name="kontrol_sampel[]" value="<?= ($r['kontrol_sampel'] ? $r['kontrol_sampel'] : 0) ?>">
											<?= $r["nomor_sampel"]; ?>
										<?php endif; ?>
									</td>
									<td>
										<input class="wth-form" onkeyup="persenAf(<?= $r['id']; ?>)" type="text" id="abs<?= $r['id']; ?>" name="abs[]" value="<?= $r["abs"]; ?>">
									</td>
									<td>
										<input class="wth-form" type="text" id="kadar_af<?= $r['id']; ?>" name="kadar_af[]" value="<?= $r["kadar_af"]; ?>">
										<?php if(!empty($is_edit) && $r['id_sampel'] == 0) : ?>
											<br><b>KS/Range:</b><br>
											<input type='text' id="c_range<?= $r['id']; ?>" name='c_range[]' value="<?= $r['c_range']; ?>">
										<?php elseif($r['id_sampel'] != 0) : ?>
											<input type="hidden" name='c_range[]'>
										<?php else : ?>
											<input type="hidden" name='c_range[]'>
										<?php endif; ?>
									</td>

									<!-- ===ID SAMPEL (SYARAT MUTLAK HARUS ADA)=== -->
									<input type="hidden" id="id_sampel<?= $r['id']; ?>" name="id_sampel[]" value="<?= $r["id_sampel"]; ?>">
									<!-- ========================================= -->

			                    </tr>
		                    <?php } ?>
		                	</tbody>
		                	<tfoot>

		                	</tfoot>
	                	</table>
	                </div>
            	</div> <!-- end panel-body -->
			</form>
			<div class="panel panel-footer">
				<!-- code -->
			</div> <!-- end panel-footer -->
        </div> <!-- end panel -->
    </div>
</div>

<div class="modal fade" id="modal-alert" style="display: none;" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-body">
                <div class="alert alert-danger m-b-0">
                    <p><b>Peringatan:</b> Apakah anda yakin akan membatalkan penyiapan sampel ini?</p>
                </div>
            </div>
            <div class="modal-footer">
                <a href="javascript:;" class="btn width-100 btn-sm btn-primary">Ya</a>
                <a href="javascript:;" class="btn width-100 btn-sm btn-danger" data-dismiss="modal">Tidak</a>
            </div>
        </div>
    </div>
</div>

<script>
    function persenAf(x){
		var a = $('#abs'+x).val();
		var abs = Number('<?= $abs0; ?>');
		var s = Number('<?= $slope; ?>');
		var n = Number('<?= $intercept; ?>');
		var d = 1;

		if(a === '') a = 0;
		if(s === '') s = 0;
		if(n === '') n = 0;

		var kg = parseFloat(a)/parseFloat(abs);
		var kh = (Math.log10(parseFloat(kg)/(1-parseFloat(kg))));
		var ki = (Math.pow(10, ((parseFloat(kh)-parseFloat(n))/parseFloat(s))));

		console.log(kg);
		console.log(kh);
		console.log(ki);

		var j = ki*d;

      	if(isNaN(parseFloat(j))){
          	$('#kadar_af'+x).val(0);
      	}else{
          	j = j.toFixed(2);
          	$('#kadar_af'+x).val(j);
      	}
    }

	var c = 10000000;
	function add_kontrol_sampel(){
		var t1 = $("#t1").val();
		var t3 = $("#t3").val();
		var letak_id = $("#letak_id").val();
		var t = 0;

		var cek = "<tr>\n\
                        <td class='text-center'></td> \n\
						\n\
						<td>\n\
							<?php if(!empty($is_edit)) : ?>\n\
								<input type=hidden name='id[]' value='0'>\n\
							<?php endif; ?>\n\
							<input type='hidden' name='nomor_batch[]' value='<?= $nomor_batch; ?>'>\n\
							<input class='wth-form' type='text' id='kontrol_sampel' name='kontrol_sampel[]' placeholder='Kontrol Sampel'>\n\
						</td>\n\
						<td>\n\
							<input class='wth-form' onkeyup=persenAf("+c+") type='text' id='abs"+c+"' name='abs[]'>\n\
						</td>\n\
						<td>\n\
							<input class='wth-form' type='text' id='kadar_af"+c+"' name='kadar_af[]' value='<?= $r['kadar_af']; ?>'>\n\
							<span style='font-size:10px;' class='text-center'><b>KS/Range:</b></span>\n\
							<input class='wth-form' type='text' id='c_range"+c+"' name='c_range[]'>\n\
						</td>\n\
\n\
						<!-- ===ID SAMPEL (SYARAT MUTLAK HARUS ADA)=== -->\n\
							<input type='hidden' id='id_sampel"+c+"' name='id_sampel[]'>\n\
						<!-- ========================================= -->\n\
\n\
                      </tr>";

		if ($("#t1").prop("checked")) {
			t = t1;
			$("#t2_"+letak_id).before(cek);
		}
		if ($("#t3").prop("checked")) {
			t = t3;
			$("#t2_"+letak_id).after(cek);
		}

		var tr = $('#tabel_uji tr');
        for (var i = 0; i < tr.length; i++) {
            var td = $(tr[i]).find('td').first().text(i+1);
        }
		
		c++;
	}

	function removeTd() {
		$('.mulai_uji').removeAttr('td');
	}

	function save_analis(){
		$('#form_edit').submit();
	}
</script>
